<módulo>
cambio_de_numero
5/2/2002
1.0
3


1
<Introduzca aquí la previsión de crecimiento anual del número de usuarios>
1
<Indique aquí los tipos de clientes y la forma de identificación de cada usuario>
1
<Introduzca aquí la lista de acciones que puede realizar el administrador>
<tabla>
Interlocutores
0
4
<proceso batch>
Confirmador de cambio de número
pp_ga_confcambnum
8
María Luisa García
14/1/2002
1.0










2
Este proceso se encarga de procesar las tareas (CCNU,CCTE,CCCR,CCND) y dar por ejecutada la actuación.
Las confirmaciones de cambio de numero,terminal,carrier y aviso ejecutadas pasarían a estado EJ (ejecutado), o a ER ( erróneo) en caso de haber algún problema en la confirmación del cambio.
15
<Introduzca aquí la forma de arranque y parada>
Forma de Arranque: 
pp_ga_confcambnum -pCNUM  -t<temporizacion> -u <usuario_password_BD> -l <fichero de log>  2>&1 &

Forma de Parada:
Lanzar un kill sobre el pid del proceso. 

Parámetros:
-p:  Nombre de proceso (obligatorio)
-t: Temporización (segundos) (opcional)
-u: Usuario y password de conexión a la BD 
-l: Fichero de log. (opcional)

- Menús de arranque, parada y monitorización
-¿Es un proceso que se arranca y se para de forma automática cuando se inicializa el sistema operativo?
1
El especificado en el parámetro -l de arranque del proceso.
<tabla>
Detalle de los mensajes de logs (Batch)
0
5
<tabla>
Tablas referenciadas por el proceso
10
11
PPGA_ACTUTAR
PACF
X
X







PPGA_CAMBNUM
PACF
X








PPGA_TARCAMBNUM
PACF
X








PPGA_ABOPREPCOM
PACF


X






PPGA_ACTABOPRE
PACF
X








PPGA_CORRACTPRE
PACF
X








PPGA_TARMC
PACF



X





PPGA_CAMBTERMIN
PACF
X








PPGA_ABOPREPTAR
PACF
X

X






PPGA_CAMBPERAVISO
PACF
X

X






<tabla>
Secuencias usadas por el proceso
1
1
PPGA_SECTEMPORAL
<proceso on-line>
Servicios de gestión de cambio de número
pp_ga_gescambnum
6
María Luisa García
14/1/2002
1.0
4










1
Este proceso servidor incluye un servicio para la gestion de cambio de numero. Su arranque se realiza de forma automática al arrancar tuxedo (comando tmboot), ya que figura en la sección SERVERS del fichero de configuración de tuxedo 'pp_ga_config.ubb'.
1
La ejecución de este servidor no genera mensajes en ningún fichero, salvo en el fichero de trazas indicado cuando haya sido arrancado con la variable de trazas PP_GA_LOG .
<tabla>
Detalle de los mensajes de logs (On-line)
10
3
5
Parámetros incoherentes

1
Abonado no existe

1800001
El número destino ya existe

18
Existe al menos una operación pendiente del mismo tipo

17
Existen operaciones incompatibles pendientes

42
Actuación no permitida en el estado/subestado del abonado

0
Ejecución correcta

99999
Error interno del servicio

1800003
Número de días de duración de la locución no válido

16
No hay saldo para realizar la operación.

<servicio>
PP_GA_CAMBNUM
1
Solicita un cambio de número.
<tabla>
Tablas referenciadas por el servicio
8
11
ppga_aboprepcom
PACF
X








ppga_tarcambnum
PACF



X





PPGA_ACTABOPRE
PACF
X








PPGA_INCOMPA
PACF
X








PPGA_ACTNOPER
PACF
X








PPGA_MONEDA
PACF
X








PP_TARPROC
PACF
X








PP_PROCTABTAR
PACF
X








<tabla>
Secuencias usadas por el servicio
1
1
ppga_secactuacion
<servicio>
PP_GA_CAMBTERM
1
Solicita un cambio de terminal
<tabla>
Tablas referenciadas por el servicio
8
11
PPGA_ABOPREPCOM
PACF
X








PPGA_INCOMPA
PACF
X








PPGA_ACTABOPRE
PACF
X








PPGA_ACTNOPER
PACF
X








PPGA_MONEDA
PACF
X








PP_TARPROC
PACF
X








PP_PROCTABTAR
PACF
X








PPGA_TARCAMBNUM
PACF



X





<tabla>
Secuencias usadas por el servicio
1
1
ppga_secactuacion
<servicio>
PP_GA_MODAVISO
1
Serivio que modifica las propiedades de aviso de cambio de número.
<tabla>
Tablas referenciadas por el servicio
9
11
PPGA_CAMBNUM
PACF
X








PPGA_INCOMPA
PACF
X








PPGA_ACTNOPER
PACF
X








PPGA_MONEDA
PACF
X








PP_TARPROC
PACF
X








PP_PROCTABTAR
PACF
X








PPGA_TARCAMBNUM
PACF



X





PP_TARPROC
PACF
X








PP_PROCTABTAR
PACF
X








<tabla>
Secuencias usadas por el servicio
1
1
PPGA_SECACTUACION
<servicio>
PP_GA_CAMCRIER
1
Peticionador de cambio de carrier.
<tabla>
Tablas referenciadas por el servicio
6
11
PPGA_ABOPREPCOM
PACF
X








PPGA_CAMBCARRIER
PACF
X


X





PPGA_ABOPREPTAR
PACF


X






PPGA_TARCAMBNUM
PACF



X





PPGA_INCOMPA
PACF
X








PPGA_ACTNOPER
PACF
X








<tabla>
Secuencias usadas por el servicio
1
1
PPGA_SECACTUACION
<proceso batch>
Peticiones de cambio de número
pp_ga_solcambnum
7
María Luisa García
14/1/2002
1.0










2
Este proceso se encarga de procesar las tareas de Peticiones de cambio de numero(PCNU), cambio de terminal(PCTE), cambio de carrier(PCCR)  y cambio en la modalidad de aviso(PCND) .El procesamiento consiste en dejar pendiente la actuación correspondiente de cambio de numero(CN), cambio de terminal(KT), cambio de carrier(CQ) y cambio modalidad aviso(MA) y enviar a Operador Prepago  la solicitud adecuada(SCNU,SCTE,SCCR,SCND).
Las peticiones de cambio de número,terminal,carrier y aviso ejecutadas pasarían a estado EJ (ejecutado), o a ER ( erróneo) en caso de haber algún problema en la solicitud del cambio.
10
Forma de Arranque: 
pp_ga_solcambnum -pSNUM -t<temporizacion> -u <usuario_password_BD> -l <fichero de log>  2>&1 &

Forma de Parada:
consiste en lanzar un kill sobre el pid del proceso. 

Parámetros:
-p:  Nombre de proceso (obligatorio)
-t: Temporización (segundos) (opcional)
-u: Usuario y password de conexión a la BD 
1
<Introduzca aquí el nombre, localización y tamaño máximo previsto del fichero de log>
<tabla>
Detalle de los mensajes de logs (Batch)
2
5
0
Retorno OK
Ninguna


99999
Error Interno del proceso
Estudiar el log para ver el error que se ha producido


<tabla>
Tablas referenciadas por el proceso
8
11
PPGA_ACTABOPRE
PACF



X





PPGA_ABOPREPCOM
PACF


X






PPGA_CAMBNUM
PACF



X





PPGA_ACTUTAR
PACF



X





PPGA_BLOQUEOTUX
PACF

X







PPGA_CAMBTERMIN
PACF



X





PPGA_CAMBCARRIER
PACF



X





PPGA_CAMBPERAVISO
PACF
X


X





<tabla>
Secuencias usadas por el proceso
1
1
PP_SEC_TAREA
<fin de módulo>
